# content of: tox.ini , put in same dir as setup.py
[tox]
minversion = 2.0
envlist = flake8, py36
skipsdist = True

[testenv]
deps = -rrequirements.txt
       -rrequirements_dev.txt
commands = pytest --source mock --test_data ./tests/mock-tests.json {posargs:./tests}

[testenv:flake8]
basepython=python3
deps=
    -rrequirements.txt
    -rrequirements_dev.txt
commands=
    flake8 .
